Results 1 to 2 of 2

Thread: Maxcoin prep (crypto currency miner)

  1. #1

    Default Maxcoin prep (crypto currency miner)

    Hey guys,

    I am trying to prep my openSUSE 13.1 with MPOS which is an alt-coin mining pool server so I can start mining Maxcoins. Their is a website that gives you step by step instructions on how to set it up using Ubuntu 12. Just as I experience from this form how to setup P2Pool - Bitcion I apply the same knowlege to this set of instructions but right out of the starting gate I am running into problems.

    Here's the site: http://forum.max-coin.net/index.php/topic,11.msg17.html
    I am on the first step Daemon (maxcoin machine, your wallet) and when I change the apt-get to sudo zypper I get the follow error when I try to install all the libs that are required:

    user@p2pool:~> sudo zypper install build-essential git libssl-dev libboost-all-dev libdb5.1-dev libdb5.1++-dev libgtk2.0-dev libminiupnpc-dev qt4-qmake mingw32 synaptic qt-sdk qt4-dev-tools libqt4-dev libqt4-core libqt4-gui libdb++-dev
    root's password:
    Loading repository data...
    Reading installed packages...
    Package 'build-essential' not found.
    Package 'libqt4-core' not found.
    Package 'libqt4-dev' not found.
    Package 'libqt4-gui' not found.
    'git' is already installed.
    No update candidate for 'git-1.8.4.5-3.4.1.x86_64'. The highest available version is already installed.
    'libboost-all-dev' not found in package names. Trying capabilities.
    No provider of 'libboost-all-dev' found.
    'libdb++-dev' not found in package names. Trying capabilities.
    No provider of 'libdb++-dev' found.
    'libdb5.1++-dev' not found in package names. Trying capabilities.
    No provider of 'libdb5.1++-dev' found.
    'libdb5.1-dev' not found in package names. Trying capabilities.
    No provider of 'libdb5.1-dev' found.
    'libgtk2.0-dev' not found in package names. Trying capabilities.
    No provider of 'libgtk2.0-dev' found.
    'libminiupnpc-dev' not found in package names. Trying capabilities.
    No provider of 'libminiupnpc-dev' found.
    'libssl-dev' not found in package names. Trying capabilities.
    No provider of 'libssl-dev' found.
    'mingw32' not found in package names. Trying capabilities.
    No provider of 'mingw32' found.
    'qt-sdk' not found in package names. Trying capabilities.
    No provider of 'qt-sdk' found.
    'qt4-dev-tools' not found in package names. Trying capabilities.
    No provider of 'qt4-dev-tools' found.
    'qt4-qmake' not found in package names. Trying capabilities.
    No provider of 'qt4-qmake' found.
    'synaptic' not found in package names. Trying capabilities.
    No provider of 'synaptic' found.
    Resolving package dependencies...

    Any suggestions on how to get my hands on these packages for openSUSE 13.1?

    Thanks,

  2. #2
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,760

    Default Re: Maxcoin prep (crypto currency miner)

    Have you tried Yast software maintenance and search for them. Not you need the devel (development) version to do the compile

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •